Skip to main content

Create a Prospect

Creates a new prospect (guest card) for the community from the submitted household, move-in preferences, and optional lead metadata. Origin source defaults to the API key when not provided in the body. Returns the new prospect identifier.

POST
/api/partners/v1/community/:community_id/prospects/

Request

Example requestPOSTapplication/json
curl -X POST \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer YOUR_API_KEY" \
    -d '{
      "people": [
        {
          "first_name": "string",
          "last_name": "string",
          "is_primary": false,
          "phone_1": "string",
          "phone_2": "string",
          "email": "string"
        }
      ],
      "move_in_date": "2022-06-25",
      "price_floor": "string",
      "price_ceiling": "string",
      "discovery_source": "123",
      "lead_source": "123",
      "medium": "string",
      "agents": [],
      "parking": 0,
      "doorman": 0,
      "group": "string",
      "sms_opted_in": false,
      "elevator": false,
      "pets": [],
      "laundry": [],
      "outdoor_space": [],
      "layout": [
        "loft"
      ],
      "notes": "string",
      "neighborhoods": [],
      "third_party_vla_handling": false,
      "broker_company": "string",
      "broker_first_name": "string",
      "broker_last_name": "string",
      "broker_phone": "string",
      "current_postal_code": "string",
      "client_referral": "string",
      "marketing_email_opt_in": false,
      "source_type": "string",
      "broker_email": "string",
      "device": "string",
      "campaign_id": "string",
      "campaign_info": "string",
      "website_session_id": "string",
      "website_app_id": "string",
      "website_user_id": "string"
    }' \
    "https://api.funnelleasing.com/api/partners/v1/community/1234/prospects/"

Response

Example responseJSON200 · application/json
{
  "id": 123
}